summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2011-03-29 16:03:29 +0100
committerRichard W.M. Jones <rjones@redhat.com>2011-03-29 16:03:29 +0100
commitedb7501d60a03107c21f023b256d2b01cf116437 (patch)
tree9ac9eeb1d43e1d565f28fbbb22a554eb68ed96bf
parent759f4369de965f46f4a93b3a75dada050f87e223 (diff)
downloadlibguestfs-edb7501d60a03107c21f023b256d2b01cf116437.tar.gz
libguestfs-edb7501d60a03107c21f023b256d2b01cf116437.tar.xz
libguestfs-edb7501d60a03107c21f023b256d2b01cf116437.zip
tests: Don't fail when compiled without support for NTFS.
-rwxr-xr-ximages/guest-aux/make-windows-img.sh16
-rwxr-xr-xtools/test-virt-make-fs.sh54
2 files changed, 58 insertions, 12 deletions
diff --git a/images/guest-aux/make-windows-img.sh b/images/guest-aux/make-windows-img.sh
index 5a0cd6de..15cb7c53 100755
--- a/images/guest-aux/make-windows-img.sh
+++ b/images/guest-aux/make-windows-img.sh
@@ -1,6 +1,6 @@
#!/bin/bash -
# libguestfs
-# Copyright (C) 2010 Red Hat Inc.
+# Copyright (C) 2010-2011 Red Hat Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,6 +21,20 @@
export LANG=C
set -e
+# If the currently compiled libguestfs doesn't support
+# ntfs-3g/ntfsprogs then we cannot create a Windows phony image.
+# Nothing actually uses windows.img in the standard build so we can
+# just 'touch' it and emit a warning.
+if ! ../fish/guestfish -a /dev/null run : available "ntfs3g ntfsprogs"; then
+ echo "***"
+ echo "Warning: cannot create windows.img because there is no NTFS"
+ echo "support in this build of libguestfs. Just touching the output"
+ echo "file instead."
+ echo "***"
+ touch windows.img
+ exit 0
+fi
+
# Create a disk image.
../fish/guestfish <<'EOF'
sparse windows.img.tmp 512M
diff --git a/tools/test-virt-make-fs.sh b/tools/test-virt-make-fs.sh
index e2465064..e049dfe7 100755
--- a/tools/test-virt-make-fs.sh
+++ b/tools/test-virt-make-fs.sh
@@ -1,20 +1,52 @@
#!/bin/bash -
+# libguestfs
+# Copyright (C) 2010-2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
export LANG=C
set -e
+# Is NTFS supported?
+if ../fish/guestfish -a /dev/null run : available "ntfs3g ntfsprogs"; then
+ ntfs_supported=yes
+else
+ ntfs_supported=no
+fi
+
# Engage in some montecarlo testing of virt-make-fs.
-case $((RANDOM % 4)) in
- 0) type="--type=ext2" ;;
- 1) type="--type=ext3" ;;
- 2) type="--type=ext4" ;;
- 3) type="--type=ntfs" ;;
- # Can't test vfat because we cannot create a tar archive
- # where files are owned by UID:GID 0:0. As a result, tar
- # in the appliance fails when trying to change the UID of
- # the files to some non-zero value (not supported by FAT).
- # 4) type="--type=vfat" ;;
-esac
+
+if [ "$ntfs_supported" = "yes" ]; then
+ case $((RANDOM % 4)) in
+ 0) type="--type=ext2" ;;
+ 1) type="--type=ext3" ;;
+ 2) type="--type=ext4" ;;
+ 3) type="--type=ntfs" ;;
+ # Can't test vfat because we cannot create a tar archive
+ # where files are owned by UID:GID 0:0. As a result, tar
+ # in the appliance fails when trying to change the UID of
+ # the files to some non-zero value (not supported by FAT).
+ # 4) type="--type=vfat" ;;
+ esac
+else
+ case $((RANDOM % 3)) in
+ 0) type="--type=ext2" ;;
+ 1) type="--type=ext3" ;;
+ 2) type="--type=ext4" ;;
+ esac
+fi
case $((RANDOM % 2)) in
0) format="--format=raw" ;;